Package net.md_5.bungee.chat

# Class ClickEventSerializer

java.lang.Object
net.md_5.bungee.chat.ClickEventSerializer

public class ClickEventSerializer extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ClickEventSerializer.ClickType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ClickEventSerializer`
  `DIALOG`
  `static final ClickEventSerializer`
  `NEW`
  `static final ClickEventSerializer`
  `OLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClickEventSerializer(ClickEventSerializer.ClickType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `ClickEvent`
  `deserialize(com.google.gson.JsonObject clickEvent, com.google.gson.JsonDeserializationContext context)`
  `boolean`
  `equals(Object o)`
  `ClickEventSerializer.ClickType`
  `getType()`
  `int`
  `hashCode()`
  `com.google.gson.JsonElement`
  `serialize(ClickEvent src, com.google.gson.JsonSerializationContext context)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OLD

    public static final ClickEventSerializer OLD

  - ### NEW

    public static final ClickEventSerializer NEW

  - ### DIALOG

    public static final ClickEventSerializer DIALOG

- ## Constructor Details

  - ### ClickEventSerializer

    public ClickEventSerializer(ClickEventSerializer.ClickType type)

- ## Method Details

  - ### deserialize

    public ClickEvent deserialize(com.google.gson.JsonObject clickEvent, com.google.gson.JsonDeserializationContext context) throws com.google.gson.JsonParseException
    Throws:
      `com.google.gson.JsonParseException`

  - ### serialize

    public com.google.gson.JsonElement serialize(ClickEvent src, com.google.gson.JsonSerializationContext context)

  - ### getType

    public ClickEventSerializer.ClickType getType()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`